List Comments
curl --request GET \
--url https://api.harvey.ai/api/v1/intake/requests/{request_id}/comments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.harvey.ai/api/v1/intake/requests/{request_id}/comments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.harvey.ai/api/v1/intake/requests/{request_id}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.harvey.ai/api/v1/intake/requests/{request_id}/comments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.harvey.ai/api/v1/intake/requests/{request_id}/comments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.harvey.ai/api/v1/intake/requests/{request_id}/comments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.harvey.ai/api/v1/intake/requests/{request_id}/comments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"comments": [
{
"comment_id": "3f1c9a7e-8b2d-4e5f-a6c1-0d9e8f7b6a52",
"request_id": "6b5d8f02-4c1a-4f8e-9a77-2d0c3e5b1a94",
"body": "@Dana Whitfield the counterparty's redlines are attached.",
"author": {
"type": "USER",
"display_name": "Priya Raman"
},
"created_at": "2026-10-09T07:38:21.604117Z",
"attachments": [
{
"file_id": "a2e47c19-5d3b-4f60-8e1a-7c2b9d0f4e86",
"name": "northwind-msa-redline.docx"
}
]
}
],
"pagination": {
"limit": 1,
"has_more": true,
"next_cursor": "eyJjcmVhdGVkX2F0IjoiMjAyNi0xMC0wOVQwNzozODoyMS42MDQxMTdaIn0"
}
}{
"error": "Invalid cursor."
}{
"error": "User does not have permission to read Intake requests"
}{
"error": "Request not found."
}{
"error": "Invalid request",
"details": [
{
"field": "limit",
"code": "int_parsing",
"message": "This field is invalid"
},
{
"field": "sort",
"code": "extra_forbidden",
"message": "This field is invalid"
}
]
}Intake
List Comments
Lists the comments on an intake request, newest first. Follow pagination.next_cursor until pagination.has_more is false.
GET
/
api
/
v1
/
intake
/
requests
/
{request_id}
/
comments
List Comments
curl --request GET \
--url https://api.harvey.ai/api/v1/intake/requests/{request_id}/comments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.harvey.ai/api/v1/intake/requests/{request_id}/comments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.harvey.ai/api/v1/intake/requests/{request_id}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.harvey.ai/api/v1/intake/requests/{request_id}/comments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.harvey.ai/api/v1/intake/requests/{request_id}/comments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.harvey.ai/api/v1/intake/requests/{request_id}/comments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.harvey.ai/api/v1/intake/requests/{request_id}/comments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"comments": [
{
"comment_id": "3f1c9a7e-8b2d-4e5f-a6c1-0d9e8f7b6a52",
"request_id": "6b5d8f02-4c1a-4f8e-9a77-2d0c3e5b1a94",
"body": "@Dana Whitfield the counterparty's redlines are attached.",
"author": {
"type": "USER",
"display_name": "Priya Raman"
},
"created_at": "2026-10-09T07:38:21.604117Z",
"attachments": [
{
"file_id": "a2e47c19-5d3b-4f60-8e1a-7c2b9d0f4e86",
"name": "northwind-msa-redline.docx"
}
]
}
],
"pagination": {
"limit": 1,
"has_more": true,
"next_cursor": "eyJjcmVhdGVkX2F0IjoiMjAyNi0xMC0wOVQwNzozODoyMS42MDQxMTdaIn0"
}
}{
"error": "Invalid cursor."
}{
"error": "User does not have permission to read Intake requests"
}{
"error": "Request not found."
}{
"error": "Invalid request",
"details": [
{
"field": "limit",
"code": "int_parsing",
"message": "This field is invalid"
},
{
"field": "sort",
"code": "extra_forbidden",
"message": "This field is invalid"
}
]
}Permissions
RequiresIntake API permission, and one of Intake requests, Intake access, or Intake admin permission. If these permissions are not available to select, contact support@harvey.ai.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The unique identifier of the intake request, as returned when it was submitted.
Query Parameters
The page size. Values outside the range are clamped rather than rejected.
Required range:
1 <= x <= 100The pagination.next_cursor from the previous page of this request's comments.